package com.railway.business.catenary.mapper;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbGlkg;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 隔离开关检查表
* @author author
* @date 2021/10/13
*/
@Mapper
@Repository
public interface BusJcbGlkgMapper {

    /**
    * 新增
    */
    int insert(BusJcbGlkg busJcbGlkg);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusJcbGlkg busJcbGlkg);

    /**
    * 获取单个
    */
    BusJcbGlkg getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusJcbGlkg> getList(BusJcbGlkg busJcbGlkg);

    /**
     * 获取上次检测值
     * @param busJcbGlkg
     * @return
     */
    BusJcbGlkg getLastOne(BusJcbGlkg busJcbGlkg);

    /**
     * 查询列表
     */
    Page<BusJcbGlkg> getJcebList(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
